com.trendmicro.ds.platform.rest.object.newsfeed

## Enum NewsEntry.Category

- java.lang.Object
- - java.lang.Enum<NewsEntry.Category>
  - - com.trendmicro.ds.platform.rest.object.newsfeed.NewsEntry.Category

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NewsEntry.Category>
  Enclosing class:
    NewsEntry

      public static enum NewsEntry.Category
      extends java.lang.Enum<NewsEntry.Category>

  List of Categories that are accepted by News Feed Entry.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRITICAL`
    `SERVICE`
    `THREAT_NEWS_AND_TIPS`
    `UNKNOWN`
    `WHATS_NEW`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NewsEntry.Category` | `fromString(java.lang.String text)`
    `java.lang.String` | `toString()`
    `static NewsEntry.Category` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NewsEntry.Category[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CRITICAL

          public static final NewsEntry.Category CRITICAL

    - #### SERVICE

          public static final NewsEntry.Category SERVICE

    - #### WHATS_NEW

          public static final NewsEntry.Category WHATS_NEW

    - #### THREAT_NEWS_AND_TIPS

          public static final NewsEntry.Category THREAT_NEWS_AND_TIPS

    - #### UNKNOWN

          public static final NewsEntry.Category UNKNOWN

  - ### Method Detail

    - #### values

          public static NewsEntry.Category[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NewsEntry.Category c : NewsEntry.Category.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NewsEntry.Category valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<NewsEntry.Category>`

    - #### fromString

          public static NewsEntry.Category fromString(java.lang.String text)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.